Subject: Re: [dnsext] RFC 5936 on DNS Zone Transfer Protocol (AXFR)

From: "Jeffrey A. Williams" <[email-masked]>
Date: Mon, 28 Jun 2010 15:36:20 -0500 (GMT-05:00)

All,

  Just as an aside note of interest, does everyone recognize that
TR-Sys.de refrenced below in the original message has an open relay?
See:
http://www.dnsstuff.com/tools/dnsreport?domain=TR-Sys.de&format=raw&loadresults=true&token=24f10c06c4cf7f7c04b5a0051ef10019

-----Original Message-----
>From: [email-masked]
>Sent: Jun 28, 2010 2:55 PM
>To: [email-masked], [email-masked]
>Cc: [email-masked], [email-masked]
>Subject: [dnsext] RFC 5936 on DNS Zone Transfer Protocol (AXFR)
>
>
>A new Request for Comments is now available in online RFC libraries.
>
>        
>        RFC 5936
>
>        Title:      DNS Zone Transfer Protocol (AXFR) 
>        Author:     E. Lewis, A. Hoenes, Ed.
>        Status:     Standards Track
>        Stream:     IETF
>        Date:       June 2010
>        Mailbox:    [email-masked], 
>                    [email-masked]
>        Pages:      29
>        Characters: 66337
>        Updates:    RFC1034, RFC1035
>
>        I-D Tag:    draft-ietf-dnsext-axfr-clarify-14.txt
>
>        URL:        http://www.rfc-editor.org/rfc/rfc5936.txt
>
>The standard means within the Domain Name System protocol for
>maintaining coherence among a zone's authoritative name servers
>consists of three mechanisms.  Authoritative Transfer (AXFR) is one
>of the mechanisms and is defined in RFC 1034 and RFC 1035.
>
>The definition of AXFR has proven insufficient in detail, thereby
>forcing implementations intended to be compliant to make assumptions,
>impeding interoperability.  Yet today we have a satisfactory set of
>implementations that do interoperate.  This document is a new
>definition of AXFR -- new in the sense that it records an accurate
>definition of an interoperable AXFR mechanism.  [STANDARDS TRACK]
>
>This document is a product of the DNS Extensions Working Group of the IETF.
>
>This is now a Proposed Standard Protocol.
>
>STANDARDS TRACK: This document specifies an Internet standards track
>protocol for the Internet community,and requests discussion and suggestions
>for improvements.  Please refer to the current edition of the Internet
>Official Protocol Standards (STD 1) for the standardization state and
>status of this protocol.  Distribution of this memo is unlimited.
>
>This announcement is sent to the IETF-Announce and rfc-dist lists.
>To subscribe or unsubscribe, see
>  http://www.ietf.org/mailman/listinfo/ietf-announce
>  http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
>
>For searching the RFC series, see http://www.rfc-editor.org/rfcsearch.html.
>For downloading RFCs, see http://www.rfc-editor.org/rfc.html.
>
>Requests for special distribution should be addressed to either the
>author of the RFC in question, or to [email-masked].  Unless
>specifically noted otherwise on the RFC itself, all RFCs are for
>unlimited distribution.
>
>
>The RFC Editor Team
>Association Management Solutions, LLC
>
>
>
Regards,

Jeffrey A. Williams
Spokesman for INEGroup LLA. - (Over 300+k members/stakeholders and growing, strong!)
"Obedience of the law is the greatest freedom" -
   Abraham Lincoln

"Credit should go with the performance of duty and not with what is very
often the accident of glory" - Theodore Roosevelt

"If the probability be called P; the injury, L; and the burden, B; liability
depends upon whether B is less than L multiplied by
P: i.e., whether B is less than PL."
United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
===============================================================
Updated 1/26/04
CSO/DIR. Internet Network Eng. SR. Eng. Network data security IDNS. div. of
Information Network Eng.  INEG. INC.
ABA member in good standing member ID 01257402 E-Mail [email-masked]
Phone: 214-244-4827

---

From: Alfred Hönes <[email-masked]>
Date: Mon, 28 Jun 2010 23:14:48 +0200 (MESZ)

Jeffrey A. Williams wrote:

> ...

This sounds rather incredibly -- the recursive server operated
by TR-Sys is behind a NAT/firewall and does not answer any queries
arriving on the WAN interface.  Of course, it is operated in an
officially undefined mode -- split DNS.  :-)

Kind regards,
  Alfred.

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 30 Jun 2010 10:43:55 -0400

Jeffrey, colleagues:

> TR-Sys.de refrenced below in the original message has an open relay?

The contents of your post are completely off-topic for the
namedroppers list.  I have no clue why you thought it needed to be
sent to your distribution list anyway.  Don't do it again.

Andrew (as namedroppers moderator).

-- 
Andrew Sullivan
[email-masked]
Shinkuro, Inc.